> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chemcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lists all buyer product approvals



## OpenAPI

````yaml https://app.chemcloud.com.au/api-docs/public/buyer/v1/openapi.yaml get /api/public/buyer/v1/buyer_product_approvals
openapi: 3.0.1
info:
  title: ChemCloud Buyer API
  version: v1
servers:
  - url: https://app.chemcloud.com.au
    description: Production
security: []
paths:
  /api/public/buyer/v1/buyer_product_approvals:
    get:
      tags:
        - Buyer Product Approvals
      summary: Lists all buyer product approvals
      responses:
        '200':
          description: Approvals retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    approval_status:
                      type: string
                      enum:
                        - preferred
                        - purchased
                        - approved
                        - sample_requested
                        - sample_approved
                        - pending
                        - unstarted
                        - inactive
                        - unapproved
                      description: Status of the approved material
                      example: approved
                    supplier_name:
                      type: string
                      nullable: true
                      example: Supplier Co
                      description: Name of the supplier
                    catalogue_parent_display_name:
                      type: string
                      nullable: true
                      example: NaOH-50
                      description: Supplier's name for the product
                    catalogue_parent_product_code:
                      type: string
                      nullable: true
                      example: SUP-001
                      description: Supplier's code for the product
                    reference:
                      type: string
                      nullable: true
                      example: REF-001
                      description: >-
                        ChemCloud user-friendly reference for the approved
                        material
                    buyer_product_id:
                      type: string
                      format: uuid
                      example: 99999a99-b888-777c-666d-55555555555e
                    supplier_profile_id:
                      type: string
                      format: uuid
                      nullable: true
                      example: 99999a99-b888-777c-666d-55555555555e
                    code:
                      type: string
                      nullable: true
                      example: BPA-CODE
                      description: Buyer's code for the approved material
                    name:
                      type: string
                      nullable: true
                      example: BPA-NAME
                      description: Buyer's name for the approved material
                    resource_values:
                      type: array
                      items:
                        type: object
                        properties:
                          provider:
                            type: string
                            enum:
                              - cin7_core
                              - cin7_omni
                              - myob_acct_right
                              - ostendo
                              - unleashed
                              - fishbowl
                              - advanced_business_manager
                              - wiise
                              - sage_x3
                              - amwin
                              - microsoft_dynamics_ax
                              - tencia
                              - webhook
                              - xero
                              - mrp_easy
                              - zoho
                              - myob_acumatica
                              - microsoft_dynamics_365
                              - tidy_stock
                              - microsoft_dynamics_365_fo
                              - infor
                              - filemaker
                              - approval_max
                            example: cin7_core
                          value:
                            type: string
                            example: 99999a99-b888-777c-666d-55555555555e
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
                    updated_at:
                      type: string
                      format: date-time
                      example: '2025-12-31T23:13:11.862Z'
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````